Mac

Xcodeのコマンドラインツールでエラーが出るので入れ直した

環境

  • macOS High Sierra 10.13.6
  • Xcode Version 10.1 (10B61)

事象

Macの環境設定でまずXcodeとコマンドラインツールを入れ、続いて homebrew を入れようと
コマンドを叩きましたが途中でこのようなポップアップが出てきてしまいました。

スクリーンショット 2018-11-01 18.17.48.png

インストールボタンを押すと下の画像の状態に。。

スクリーンショット 2018-11-01 18.18.10.png

下記コマンドでインストールしても解決せず

$ xcode-select --install

解決方法

下記サイトにApple IDでログインし、
コマンドラインツールを落として入れ直したら解決しました。

More Downloads for Apple Developers

ダウンロードしたバージョン

  • Command Line Tools (macOS 10.13) for Xcode 10